'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgViasatBrowser = function SvgViasatBrowser(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "m17.5 11.1 4.583.009c.505 0 .917.396.917.891v8.1c0 .495-.413.9-.917.9H17.5a.91.91 0 0 1-.917-.9V12c0-.495.413-.9.917-.9m0 8.1h4.583v-6.3H17.5zM2.833 3h16.5c1.009 0 1.834.801 1.834 1.8v4.5h-1.834V4.8h-16.5v10.8H14.75v1.8h-1.833v1.8h1.833V21H7.417v-1.8H9.25v-1.8H2.833C1.816 17.4 1 16.59 1 15.6V4.8C1 3.801 1.816 3 2.833 3m5.233 6.82c.047-.208.285-.417.57-.5.477-.126.953.125 1.048.5l.476 1.422 1.238-3.846c.095-.376.381-.67.81-.753.618-.167 1.285.168 1.475.711l1.476 4.432c.19.543-.19 1.129-.81 1.296-.618.167-1.285-.167-1.475-.71l-1.19-3.596-1.238 3.804c-.048.21-.286.418-.571.502-.429.126-.905-.084-1.048-.502l-.57-1.797-.62 1.965a.53.53 0 0 1-.428.376c-.333.084-.667-.084-.762-.376l-.38-1.13c-.096-.292.094-.585.428-.668s.666.083.761.376l.143.502z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgViasatBrowser;
